<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::torque Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1torque.html">torque</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::torque Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing torque values  
<a href="namespaceunits_1_1torque.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a74bb70225d42cd40c07e7931eb54e6ea"><td class="memItemLeft" align="right" valign="top"><a id="a74bb70225d42cd40c07e7931eb54e6ea"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">newton_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:a74bb70225d42cd40c07e7931eb54e6ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0bc3273652e1a7716e30c3f3e4f5119"><td class="memItemLeft" align="right" valign="top"><a id="ad0bc3273652e1a7716e30c3f3e4f5119"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">newton_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:ad0bc3273652e1a7716e30c3f3e4f5119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91b2c7adcd4a43b9260fb777dde3536c"><td class="memItemLeft" align="right" valign="top"><a id="a91b2c7adcd4a43b9260fb777dde3536c"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">foot_pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a91b2c7adcd4a43b9260fb777dde3536c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99530e84ea8f630ff669182ffa8df6bb"><td class="memItemLeft" align="right" valign="top"><a id="a99530e84ea8f630ff669182ffa8df6bb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">foot_pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a99530e84ea8f630ff669182ffa8df6bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af13ac42b8f21f364c343175078cd8f98"><td class="memItemLeft" align="right" valign="top"><a id="af13ac42b8f21f364c343175078cd8f98"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">foot_poundal_t</a> &amp;obj)</td></tr>
<tr class="separator:af13ac42b8f21f364c343175078cd8f98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b911b6327dcbac5f682fe7e4866b1af"><td class="memItemLeft" align="right" valign="top"><a id="a7b911b6327dcbac5f682fe7e4866b1af"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">foot_poundal_t</a> &amp;obj)</td></tr>
<tr class="separator:a7b911b6327dcbac5f682fe7e4866b1af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e23cc60439eff9e2db8c43f3f5a3d8e"><td class="memItemLeft" align="right" valign="top"><a id="a0e23cc60439eff9e2db8c43f3f5a3d8e"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">inch_pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a0e23cc60439eff9e2db8c43f3f5a3d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f1fb92034e9a3332c193688de336ba2"><td class="memItemLeft" align="right" valign="top"><a id="a5f1fb92034e9a3332c193688de336ba2"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">inch_pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a5f1fb92034e9a3332c193688de336ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac39a37c783ef88b92ac07c76ad18376b"><td class="memItemLeft" align="right" valign="top"><a id="ac39a37c783ef88b92ac07c76ad18376b"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">meter_kilogram_t</a> &amp;obj)</td></tr>
<tr class="separator:ac39a37c783ef88b92ac07c76ad18376b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab2796b4eae1339b2b619cf010adf514"><td class="memItemLeft" align="right" valign="top"><a id="aab2796b4eae1339b2b619cf010adf514"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">meter_kilogram_t</a> &amp;obj)</td></tr>
<tr class="separator:aab2796b4eae1339b2b619cf010adf514"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing torque values </p>
<p>The SI unit for torque is <code>newton_meters</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>torque_units</code>. <a class="anchor" id="torqueContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
